Query Products

get
/api/inventory/products

Retrieve detailed information about products in your inventory. This endpoint supports fetching either a specific product by its ID or a list of products filtered by category. It provides product details including attributes, stock levels, pricing, images, dimensions, and more.

Request

Field Description
product_id [integer] Get individual product by Product ID.
category_id [integer] Get products by Category ID. Returns paginated results (50 products per request).

 


GET /api/inventory/products?product_id=156 HTTP/1.1
Host: yourcompany.intend.com
api-key: your_api_key_here

Response

A successful request returns HTTP 200 and a JSON response body with product data.

 

Field Description
id [integer] Product ID.
type

[string] Product type.

antique Single-piece product, no inventory.
general Products with SKUs.
sample Sample of a product (e.g., fabric, wallpaper, rug, etc.)
component Part or material used to make a product (e.g., fabric, feathers, trimmings for a cushion).
mode

[string] Indicates whether the item is a product or a service.

product A tangible item that can be sold, stocked, and shipped.
service An intangible offering, such as handling fees, rug stain treatments, etc.
brand [string] Brand name.
category

[object] Product category details (see "category object" below).

code [string] Unique product code.
name [string] Product name.
description [string] Product description.
selling_unit [string] Unit used for selling the product. (Metre, Yards, Rolls, etc)
selling_unit_sm [string] Short form of selling_unit. (m, yd, etc)
purchasing_unit [string] Unit used for purchasing. (Metre, Yards, Rolls, etc)
purchasing_unit_sm [string] Short form of purchasing_unit. (m, yd, etc)
images

[array] List of product image (see "image object" below).

feature_in_website [integer] Flag indicating if the product is featured on the website (1 = yes, 0 = no).
website_category_id [integer] ID of the category under which it is listed on the website.
directly_supplied [boolean] Indicates if product is directly supplied (1 = yes, 0 = no)..
launched_on [string] Launched date.
created_on [string] Creation timestamp.
updated_on [string] Last updated timestamp.
tax_applicable [boolean] Whether tax is applicable (1 = yes, 0 = no).
tax_ref

[object] Tax reference details (see "tax_ref object" below).

minimum_order_quantity [string] Minimum quantity required per order.
is_saleable [integer] Indicates if product is saleable (1 = yes, 0 = no).
is_discontinued [integer] Whether the product is discontinued (1 = yes, 0 = no).
discontinued_on [string] Date when the product was discontinued.
dimension

[object] Product dimension details (see "dimension object" below).

package

[object] Shipping details of product (see "package object" below).

attributes [object]Product attributes as defined by Intend, with keys representing attribute names and values as arrays of attribute options. Examples: Composition, Country Of Origin, Useage, Colour, Style, etc.
taxonomies

[object] List of product attributes (see "taxonomies object" below).

stock

[object] Stock availability details (see "stock object" below).

incoming_stock [array] List of incoming stock details.
prices

[array] Price details for different price types (see "prices object" below).

colourways

[array]List of available colour variations for the product (see "colourways object" below).

components

[array] Product components (see "components object" below).

category object

Field Description
id [integer] Category ID.
name [string] Category name.

image object

Field Description
file [string] Filename of the image.
url [string] URL of the image.

tax_ref object

Field Description
code [string] Tax code.
value [integer] Tax percentage value.

dimension object

Field Description
height [float] Height measurement.
width [float] Width measurement.
depth [float] Depth measurement.
unit [string] Unit of measurement for dimensions.
weight [float] Weight value.
weight_unit [string] Unit of measurement for weight.

package object

Field Description
shipping_category [string] Shipping category name.

taxonomies object

Field Description
Lead Time [integer] Lead time in days.
Pattern Repeat [string] Pattern repeat information.
Vertical Repeat [string] Vertical repeat measurement.
Horizontal Repeat [string] Horizontal repeat measurement.
Rub Test [string] Rub test rating.
Fire Code [string] Fire safety code.
Harmonisation Code [string] Harmonisation code for customs.
Cigarette Test [string] Cigarette test result.
Half-drop repeat [string] Half-drop repeat measurement.

stock object

Field Description
in_stock [float] Quantity in stock
reserved [float] Quantity reserved.
allocated [integer] Quantity allocated.
availabe [float] Quantity available.

prices object

Field Description
type [string] Price type (Retail, Trade).
id [integer] Price ID.
base_inclusive_tax [boolean] Flag if price includes tax (0 = No, 1 = Yes).
GBP [float] Price in Pounds.
EUR [float] Price in Euros.
USD [float] Price in US Dollars.

colourways object

Field Description
id [integer] Colourway ID.
name [string] Colourway name.
code [string] Colourway code.

components object

Field Description
id [integer] Component ID.
name [string] Component name.
code [string] Component code.
component_quantity [float] Quantity of the component.
selling_unit [string] Unit used for selling the component.
selling_unit_sm [string] Short form of the selling unit.

 


{
   "status": 200,
   "response": true,
   "data": {
       "id": 2,
       "type": "general",
       "mode": "product",
       "brand": null,
       "category": {
           "id": 1,
           "name": "Fabrics"
       },
       "code": "ABC0478",
       "name": "Agusta",
       "description": "Agusta fabric is the epitome of elegance and versatility, crafted to bring a touch of luxury to any interior.",
       "selling_unit": "Metre",
       "selling_unit_sm": "m",
       "purchasing_unit": "Metre",
       "purchasing_unit_sm": "m",
       "images": [
           {
               "file": "1753678106-1730966668-fabrics.webp",
               "url": "http://example.com/storage/uploads/products/1753678106-1730966668-fabrics.webp"
           }
       ],
       "feature_in_website": 0,
       "website_category_id": 1,
       "directly_supplied": 0,
       "launched_on": "2022-09-15T00:00:00.000000Z",
       "created_on": "2018-12-12T16:24:26.000000Z",
       "updated_on": "2025-07-30T19:57:39.000000Z",
       "tax_applicable": 1,
       "tax_ref": {
           "code": "T1",
           "value": 20
       },
       "minimum_order_quantity": "1.00",
       "is_saleable": 1,
       "is_discontinued": 0,
       "discontinued_on": null,
       "dimension": {
           "height": 0,
           "width": 140,
           "depth": 0,
           "unit": "cm",
           "weight": 450,
           "weight_unit": "gm"
       },
       "package": {
           "shipping_category": "Standard"
       },
       "attributes": {
           "Colour": [
               "Blue",
               "Green"
           ],
           "Uses": [
               "Curtains & Blinds"
           ],
           "Composition": [
               "57% Linen, 26% Viscose, 11% Cotton, 6% Polyester"
           ],
           "Type": [
               "Linen"
           ]
       },
       "taxonomies": {
           "Lead Time": 6,
           "Pattern Repeat": "",
           "Repeat": "",
           "Horizontal Repeat": "",
           "Harmonisation Code": "",
           "Fire Code": "",
           "Rub Test": "",
           "Cigarette Test": "",
           "Vertical Repeat": "",
           "After Care": "Bleach, Dry, Iron, Machine, Tumble, Tumble",
           "Vertical Pattern Repeat": "59cm",
           "Horizontal Pattern Repeat": "63.5cm",
           "Pattern": "Floral"
       },
       "stock": {
           "in_stock": 1392.23,
           "reserved": 708.3,
           "allocated": 388.55,
           "available": 1003.68
       },
       "incoming_stock": [],
       "prices": [
           {
               "type": "Retail",
               "id": 1,
               "base_inclusive_tax": 0,
               "GBP": 127.5,
               "EUR": 133.28,
               "USD": 136.03
           },
           {
               "type": "Trade",
               "id": 2,
               "base_inclusive_tax": 0,
               "GBP": 120.63,
               "EUR": 124.96,
               "USD": 127.02
           }
       ],
       "colourways": [
           {
               "id": 6,
               "name": "Duck Egg",
               "code": "ABC0478",
               "price_inherited": 1,
               "attribute_inherited": 0
           },
           {
               "id": 7,
               "name": "Gold",
               "code": "ABC0842",
               "price_inherited": 1,
               "attribute_inherited": 0
           }
       ],
       "components": [
           {
               "id": 11,
               "name": "Linen Cloth",
               "code": "LIN16C",
               "component_quantity": 1,
               "selling_unit": "Metre",
               "selling_unit_sm": "m"
           },
           {
               "id": 10,
               "name": "Colour Printing",
               "code": "PRSRV-01",
               "component_quantity": 1,
               "selling_unit": "Piece",
               "selling_unit_sm": "pc"
           }
       ]
   },
   "msg": "Request Successful"
}